Subject: Re: [PATCH 02/22] nvmet: Make use of the new sg_map helper function

From: Christoph Hellwig <[email-masked]>
Date: Fri, 14 Apr 2017 06:59:51 +0200

On Thu, Apr 13, 2017 at 04:05:15PM -0600, Logan Gunthorpe wrote:
> This is a straight forward conversion in two places. Should kmap fail,
> the code will return an INVALD_DATA error in the completion.

It really should be using nvmet_copy_from_sgl to make things safer,
as we don't want to rely on any particular SG list layout.  In fact
I'm pretty sure I did the conversion at some point, but it must never
have made it upstream.